{if isset($term)}
	<div class="info">{lang key='listings_found'}: <b>{$paginator.total}</b></div>
{/if}

{if isset($items) && $items}
<div class="ia-items events">
	{foreach from=$items item=event}
		<div class="ia-item media ia-item-bordered event">
			<div class="media-body">
				<h3 class="media-heading">
					<a href="{$event.url}">{$event.title}</a>
				</h3>

				<div class="muted">
					<div class="event-date"><i class="icon-time"></i> {$event.date} - {$event.date_end}</div>
					{if $event.venue}<div class="event-location"><i class="icon-map-marker"></i> {$event.venue}</i></div>{/if}
				</div>

				<div class="ia-item-body">
					{$event.description|strip_tags|truncate:300}
				</div>
			</div>
			<div class="ia-item-panel">
				<a href="{$event.url}" class="btn btn-small btn-info pull-left"><i class="icon-info-sign"></i></a>
				<span class="panel-item pull-left">
					<i class="icon-user"></i>
					{if $event.owner}
						{lang key='published_by'}
						<a href="{$smarty.const.IA_URL}members/info/{$event.owner}.html">
							{$event.owner_fullname}
						</a>
					{else}
						<i>{lang key='guest'}</i>
					{/if}
			</div>
		</div>
	{/foreach}
</div>

{navigation aTotal=$paginator.total aTemplate=$paginator.template aItemsPerPage=$paginator.limit aNumPageItems=5 aTruncateParam=1}

{else}
	<div class="message alert">{lang key='no_events'}</div>
{/if}

{ia_print_css files='_IA_URL_plugins/events/templates/front/css/style'}
